%define 	docver	2.10.0.2

Name: 		worker
Version: 	5.0.1
Release: 	%mkrel 1
Summary: 	A file manager for X in AMIGA style
License: 	GPLv2+
Group: 		File tools
URL: 		http://www.boomerangsworld.de/cms/worker/
Source0: 	http://www.boomerangsworld.de/cms/worker/downloads/%{name}-%{version}.tar.xz
Source3: 	%{name}-48.png
Source4: 	%{name}-32.png
Source5: 	%{name}-16.png
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	magic-devel
BuildRequires:	lib64lua5.3-devel
BuildRequires:	avfs-devel
BuildRequires:  lib64xft-devel

%description
Worker is a graphical filemanager for the X Window System.
It use the classical two-panel-view of the files and directories.
It hast many intern operations while any extern program can also be
used for operate on the selected items. You can easily add actions
to filetypes or buttons with the builtin configuration program.

%prep
%setup -q
%autopatch -p1

#Fix ChangeLog and Man pages(UTF-8)
for f in ChangeLog man/fr/worker.1 man/it/worker.1; do
	iconv -f ISO-8859-1 -t UTF-8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

%build
./configure --enable-xft --prefix=/usr 
%make_build

%install
%make_install

# python shebang
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/scripts/*

desktop-file-install	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
--remove-category="FileManager"		\
--add-category="X-MandrivaLinux-System-FileTools"	\
%{buildroot}/%{_datadir}/applications/%{name}.desktop



%files
%{_bindir}
%{_datadir}

%changelog
* Mon Feb 19 2024 tex - 5.0.1-1pclos2024
- new version

* Thu Jan 11 2024 tex - 5.0.0-1pclos2024
- new version

* Sun Nov 06 2022 tex - 4.11.0-1pclos2022
- new version

